<?php
/**
 * UserSubaccountsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * UserSubaccountsApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class UserSubaccountsApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for closeSubaccount
     *
     * Close subaccount..
     *
     */
    public function testCloseSubaccount()
    {
    }

    /**
     * Test case for getSubaccount
     *
     * Get a single subaccount..
     *
     */
    public function testGetSubaccount()
    {
    }

    /**
     * Test case for getSubaccounts
     *
     * Get all subaccounts of current user..
     *
     */
    public function testGetSubaccounts()
    {
    }

    /**
     * Test case for getSubaccountsWithTokens
     *
     * Get all subaccounts with their REST API tokens associated with specified app name..
     *
     */
    public function testGetSubaccountsWithTokens()
    {
    }

    /**
     * Test case for inviteSubaccount
     *
     * Invite new subaccount..
     *
     */
    public function testInviteSubaccount()
    {
    }

    /**
     * Test case for requestNewSubaccountToken
     *
     * Request a new REST API token for subaccount..
     *
     */
    public function testRequestNewSubaccountToken()
    {
    }
}
